### Class

# Gimp ModuleDB

#### Description [src]

    final class Gimp.ModuleDB : GObject.Object
      implements Gio.ListModel {
      /* No available fields */
    }

Keeps a list of `GimpModule`‘s found in a given searchpath.

#### Ancestors

- GObject

#### Implements

- GListModel

#### Constructors

###### gimp_module_db_new

Creates a new `GimpModuleDB` instance. The `verbose` parameter will be passed to the created `GimpModule` instances using gimp_module_new().

#### Instance methods

###### gimp_module_db_get_load_inhibit

Return the #G_SEARCHPATH_SEPARATOR delimited list of module filenames which are excluded from auto-loading.

###### gimp_module_db_get_verbose

Returns the ‘verbose’ setting of `db`.

since: 3.0

###### gimp_module_db_load

Scans the directories contained in `module_path` and creates a `GimpModule` instance for every loadable module contained in the directories.

###### gimp_module_db_refresh

Does the same as gimp_module_db_load(), plus removes all `GimpModule` instances whose modules have been deleted from disk.

###### gimp_module_db_set_load_inhibit

Sets the `load_inhibit` flag for all `GimpModule`‘s which are kept by `db` (using gimp_module_set_load_inhibit()).

###### gimp_module_db_set_verbose

Sets the ‘verbose’ setting of `db`.

since: 3.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GListModel (5)

###### g_list_model_get_item

Get the item at `position`.

###### g_list_model_get_item_type

Gets the type of the items in `list`.

###### g_list_model_get_n_items

Gets the number of items in `list`.

###### g_list_model_get_object

Get the item at `position`.

###### g_list_model_items_changed

Emits the `GListModel::items-changed` signal on `list`.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

##### Signals inherited from GListModel (1)

###### GListModel::items-changed

This signal is emitted whenever items were added to or removed from `list`. At `position`, `removed` items were removed and `added` items were added in their place.

#### Class structure

    struct GimpModuleDBClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.